#include <bits/stdc++.h>

using namespace std;
int niz[200020], l[100010], r[100010], begg[200020], krajj[200020];

int main()
{
    int n;
    cin>>n;
    for(int i=1; i<=n; i++)cin>>niz[i];
    int q; cin>>q;
    for(int i=0; i<q; i++)cin>>l[i]>>r[i];
    for(int i=2; i<=n; i++)
    {
        krajj[i]=krajj[i-1];
        begg[i-1]=begg[i-2];
        if(niz[i]<niz[i-1]){krajj[i]++; begg[i-1]++;}
    }
    begg[n]=begg[n-1];
    //for(int i=1; i<=n; i++)cout<<begg[i]<<" "<<krajj[i]<<"\n";
    for(int i=0; i<q; i++)
    {
        if(krajj[r[i]]-begg[l[i]-1]<=1)cout<<"DA\n";
        else cout<<"NE\n";
    }
    return 0;
}